<?xml version="1.0" encoding = "Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.00"
	Name="e4java"
	ProjectGUID="{AD5A8E39-152D-429A-AD34-99BB5FA43A89}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Release|Win32"
			OutputDirectory=".\..\..\..\builds\win32\lib"
			IntermediateDirectory=".\..\..\..\builds\msvc\e4java\vc7\Release"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				InlineFunctionExpansion="1"
				AdditionalIncludeDirectories="..\..\include,..\..\..\..\java\j2sdk1.4.2\include,..\..\..\..\java\j2sdk1.4.2\include\win32,..\..\..\main\include,..\..\..\..\j2sdk1.4.0_01\include\win32"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;E4JAVA_EXPORTS"
				StringPooling="TRUE"
				RuntimeLibrary="0"
				EnableFunctionLevelLinking="TRUE"
				UsePrecompiledHeader="2"
				PrecompiledHeaderFile=".\..\..\..\builds\msvc\e4java\vc7\Release/e4java.pch"
				AssemblerListingLocation=".\..\..\..\builds\msvc\e4java\vc7\Release/"
				ObjectFile=".\..\..\..\builds\msvc\e4java\vc7\Release/"
				ProgramDataBaseFileName=".\..\..\..\builds\msvc\e4java\vc7\Release/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="odbc32.lib odbccp32.lib"
				OutputFile=".\..\..\..\builds\win32\lib/e4java.dll"
				LinkIncremental="1"
				SuppressStartupBanner="TRUE"
				ProgramDatabaseFile=".\..\..\..\builds\win32\lib/e4java.pdb"
				ImportLibrary=".\..\..\..\builds\win32\lib/e4java.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\..\..\..\builds\win32\lib/e4java.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="mkdir ..\..\..\builds\win32\lib
copy ..\..\classes\e4java.jar ..\..\..\builds\win32\lib
"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory=".\..\..\..\builds\win32\lib"
			IntermediateDirectory=".\..\..\..\builds\msvc\e4java\vc7\Debug"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\include,..\..\..\..\java\j2sdk1.4.2\include,..\..\..\..\java\j2sdk1.4.2\include\win32,..\..\..\main\include,..\..\..\..\j2sdk1.4.0_01\include\win32"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;E4JAVA_EXPORTS"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				UsePrecompiledHeader="2"
				PrecompiledHeaderFile=".\..\..\..\builds\msvc\e4java\vc7\Debug/e4java.pch"
				AssemblerListingLocation=".\..\..\..\builds\msvc\e4java\vc7\Debug/"
				ObjectFile=".\..\..\..\builds\msvc\e4java\vc7\Debug/"
				ProgramDataBaseFileName=".\..\..\..\builds\msvc\e4java\vc7\Debug/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="4"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="odbc32.lib odbccp32.lib"
				OutputFile="..\..\..\builds\win32\lib\e4java_d.dll"
				LinkIncremental="2"
				SuppressStartupBanner="TRUE"
				GenerateDebugInformation="TRUE"
				ImportLibrary=".\..\..\..\builds\win32\lib/e4java_d.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\..\..\..\builds\win32\lib/e4java.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="mkdir ..\..\..\builds\win32\lib
copy ..\..\classes\e4java.jar ..\..\..\builds\win32\lib
"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
			<File
				RelativePath="..\..\natives\com_e4graph_Node.cpp">
			</File>
			<File
				RelativePath="..\..\natives\com_e4graph_Storage.cpp">
			</File>
			<File
				RelativePath="..\..\natives\com_e4graph_Vertex.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl">
			<File
				RelativePath="..\..\include\com_e4graph_IncorrectVertexTypeException.h">
			</File>
			<File
				RelativePath="..\..\include\com_e4graph_InvalidPositionException.h">
			</File>
			<File
				RelativePath="..\..\include\com_e4graph_NoSuchNodeException.h">
			</File>
			<File
				RelativePath="..\..\include\com_e4graph_NoSuchVertexException.h">
			</File>
			<File
				RelativePath="..\..\include\com_e4graph_Node.h">
			</File>
			<File
				RelativePath="..\..\include\com_e4graph_ParentIterator.h">
			</File>
			<File
				RelativePath="..\..\include\com_e4graph_Storage.h">
			</File>
			<File
				RelativePath="..\..\include\com_e4graph_StorageCreationException.h">
			</File>
			<File
				RelativePath="..\..\include\com_e4graph_StorageIsNotOpenException.h">
			</File>
			<File
				RelativePath="..\..\include\com_e4graph_StorageIterator.h">
			</File>
			<File
				RelativePath="..\..\include\com_e4graph_Value.h">
			</File>
			<File
				RelativePath="..\..\include\com_e4graph_Vertex.h">
			</File>
			<File
				RelativePath="..\..\include\com_e4graph_VertexIterator.h">
			</File>
			<File
				RelativePath="..\..\include\j4graph.h">
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
